Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82045 - I need to get this resolved.
Summary: I need to get this resolved.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-16 18:57 UTC by Susan Champigny
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-27 22:03:25 UTC


Attachments (Terms of Use)

Description Susan Champigny 2003-01-16 18:57:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-4 i686)

Description of problem:
Traceback (innermost last):
  File "/usr/bin/anaconda", line 633, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 353, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 814, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/anaconda/gui.py", line 529, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 417, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 144, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 209, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 521, in doInstall
    db = rpm.opendb(1, instPath)
rpm.error: cannot open

Local variables in innermost frame:
id: <instdata.InstallData instance at 82531f8>
whiteout: <module 'whiteout' from '/usr/lib/anaconda/whiteout.py'>
intf: <gui.InstallInterface instance at 8252088>
upgrade: 0
method: <image.CdromInstallMethod instance at 84499c0>
instPath: /mnt/sysimage


Package Group selection status:
Base: 1
Printing Support: 1
Classic X Window System: 1
X Window System: 1
Laptop Support: 0
Spelling: 0
GNOME: 1
KDE: 0Dialup Support: 1
Messaging and Web Tools: 1
Graphics and Image Manipulation: 0
Network Server: 0
News Server: 0
NFS File Server: 0
Windows File Server: 0
Anonymous FTP Server: 0
SQL Database Server: 0
Web Server: 0
Router / Firewall: 0
DNS Name Server: 0
Network Managed Workstation: 0
Authoring and Publishing: 0
Emacs: 0
Utilities: 0
Legacy Application Support: 0
Software Development: 0
Kernel Development: 0
Windows Compatibility / Interoperability: 0
Games and Entertainment: 0
Everything Include: 0
Workstation Common: 0
Server: 0
Everything: 1


Individual package selection status:
4Suite: 1, Canna: 0, Canna-devel: 1, Canna-libs: 1, Distutils: 1, ElectricFence:
1, FreeWnn: 0, FreeWnn-common: 0, FreeWn
n-devel: 1, FreeWnn-libs: 1, GConf: 1, GConf-devel: 1, Glide3: 1, Glide3-devel:
1, Gtk-Perl: 1, Guppi: 1, Guppi-devel: 1,
 ImageMagick: 1, ImageMagick-c++: 1, ImageMagick-c++-devel: 1,
ImageMagick-devel: 1, ImageMagick-perl: 1, LPRng: 1, MAKED
EV: 1, Maelstrom: 1, MagicPoint: 1, MyODBC: 1, MySQL-python: 1, ORBit: 1,
ORBit-devel: 1, Omni: 1, Omni-foomatic: 1, PyQt
: 1, PyQt-devel: 1, PyQt-examples: 1, PyXML: 1, SDL: 1, SDL-devel: 1, SDL_image:
1, SDL_image-devel: 1, SDL_mixer: 1, SDL
_mixer-devel: 1, SDL_net: 1, SDL_net-devel: 1, SysVinit: 1, VFlib2: 1,
VFlib2-VFjfm: 1, VFlib2-conf-ja: 1, VFlib2-devel:
1, WindowMaker: 1, WindowMaker-libs: 1, Wnn6-SDK: 1, Wnn6-SDK-devel: 0, XFree86:
1, XFree86-100dpi-fonts: 1, XFree86-3DLa
bs: 0, XFree86-75dpi-fonts: 1, XFree86-8514: 0, XFree86-AGX: 0, XFree86-FBDev:
1, XFree86-ISO8859-15-100dpi-fonts: 1, XFr
ee86-ISO8859-15-75dpi-fonts: 1, XFree86-ISO8859-2-100dpi-fonts: 1,
XFree86-ISO8859-2-75dpi-fonts: 1, XFree86-ISO8859-9-10
0dpi-fonts: 0, XFree86-ISO8859-9-75dpi-fonts: 0, XFree86-Mach32: 0,
XFree86-Mach64: 0, XFree86-Mach8: 0, XFree86-Mono: 0,
 XFree86-P9000: 0, XFree86-S3: 0, XFree86-S3V: 0, XFree86-SVGA: 0,
XFree86-VGA16: 0, XFree86-W32: 0, XFree86-Xnest: 1, XF
ree86-Xvfb: 1, XFree86-base-fonts: 1, XFree86-compat-libs: 1,
XFree86-compat-modules: 1, XFree86-cyrillic-fonts: 0, XFree
86-devel: 1, XFree86-doc: 1, XFree86-font-utils: 1, XFree86-libs: 1,
XFree86-tools: 1, XFree86-truetype-fonts: 1, XFree86
-twm: 1, XFree86-xdm: 1, XFree86-xf86cfg: 1, XFree86-xfs: 1,
XFree86-xtrap-clients: 1, Xaw3d: 1, Xaw3d-devel: 1, Xconfigu
rator: 1, Xdialog: 1, a2ps: 1, abiword: 1, ac-archive: 1, adjtimex: 1,
alchemist: 1, alchemist-devel: 1, alien: 1, am-uti

Sound and Multimedia Support: 1
Network Support: 1


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.REboot machine	
2.Boot off CDROM
3.After disks are formatted and images are being save to harddrive, this
happens.
    

Actual Results:  anaconda dumps, tells me to save to a file and send to bugzilla

Additional info:

Comment 1 Jeremy Katz 2003-01-23 03:43:04 UTC
This is fixed in newer releases


Note You need to log in before you can comment on or make changes to this bug.